List Pix Fund Recovery Requests
GET/v1/pix/fund-recovery-requests
Retrieve a paginated list of pix fund recovery requests.
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at, updated_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Created at start. Format: YYYY-MM-DD
Created at end. Format: YYYY-MM-DD
Possible values: [CREATED, ANALYSED, WAITING_DEVOLUTION, COMPLETED_REJECTED, COMPLETED_APPROVED, CANCELED, FAILED]
Fund recovery request status.
Possible values: [PAYMENT, DEVOLUTION, REFUND_PAYMENT]
Transaction type.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
Responses
- 200
- 400
- 401
- 422
The fund recovery requests returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Pix fund recovery requests data.
Fund recovery request ID.
Possible values: [CREATED, ANALYSED, WAITING_DEVOLUTION, COMPLETED_REJECTED, COMPLETED_APPROVED, CANCELED, FAILED]
Status.
Refund total amount in R$ cents.
Possible values: [PAYMENT, DEVOLUTION, REFUND_PAYMENT]
Transaction type.
Transaction third part name.
Transaction amount in R$ cents.
Possible values: [FRAUD, CANCEL_DEVOLUTION, PIX_AUTOMATIC_FRAUD, PIX_AUTOMATIC_PSP_ERROR]
Reason.
Description.
Fund recovery request created at.
Fund recovery request updated at.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "745c16b8-8a1c-405c-b190-89ef0539ce41",
"status": "CREATED",
"refund_total_amount": 50000,
"transaction_type": "PAYMENT",
"transaction_third_part_name": "John Doe",
"transaction_amount": 50000,
"reason": "FRAUD",
"description": "Fund recovery request description",
"created_at": "2026-10-17T00:50:37.619Z",
"updated_at": "2026-10-17T00:50:37.619Z"
}
]
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.